--set logical dimensions (always like these, no matter if portrait or lanscape)
application:setLogicalDimensions(480, 800)
--set orientation
application:setOrientation(Application.PORTRAIT)
--set scaling mode
application:setScaleMode("letterbox")
--get dimenstions
local width = application:getContentWidth()
local height = application:getContentHeight()

--use texture with filtering
local bgTexture = Texture.new("images/bg.jpg", true)
local bg = Bitmap.new(bgTexture)
--set position in center
bg:setAnchorPoint(0.5, 0.5)
bg:setPosition(width/2, height/2)

stage:addChild(bg)

--use absolute positioning to position image right in the corner
local dx = application:getLogicalTranslateX() / application:getLogicalScaleX()
local dy = application:getLogicalTranslateY() / application:getLogicalScaleY()

local logo = Bitmap.new(Texture.new("images/gideros.png", true))
logo:setPosition(-dx, dy + height-logo:getHeight())
stage:addChild(logo)

